Subject: Re: bug#59141: 28.1.90; Face :extend when all the line but trailing \n is invisible

From: Abdul-Lateef Haji-Ali <[email-masked]>
Date: Fri, 11 Nov 2022 20:17:26 +0000

On 11/11/2022, Eli Zaretskii wrote:
>> so I am wondering if a new form like `(ATOM . STRING)` can be supported so that STRING can be displayed after the invisible characters instead of ellipses.
>
> This is what the 'display' property already does, so I don't see why
> we'd need yet another way of replacing some buffer text with a
> different text on display.

Yes indeed, but I assumed that controlling visibility in the buffer by modifying the visibility-spec would be desirable, which is difficult to achieve with `display`.

>> The suggested solution is have an outline entry include the new line character (so that the whole extended lines is hidden). The displayed text after the invisible text would then be "...\n".
> ,----
> | * A* B
> `----
>
> because the newline will be hidden

At the moment, if the new line is included in the entry then the output would be
,----
| * A...* B
`----

However, if the displayed text after the invisible text is changed to "...\n" instead of "..." (through `display` or better yet through a change to invisibility-specs as I suggested) then the output is correct.